Subject: bug#16347: closed (Re: bug#16347: 24.3.50; Company pseudo-tooltip refresh problem when expanded down at eob)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Jan 2014 11:56:03 +0000

Your bug report

#16347: 24.3.50; Company pseudo-tooltip refresh problem when expanded down at eob

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16347: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16347
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16347: 24.3.50; Company pseudo-tooltip refresh problem when expanded down at eob
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 11 Jan 2014 13:55:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 09 Jan 2014 18:44:28 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Thu, 09 Jan 2014 17:23:02 +0400
> > From: Dmitry Gutov <[email-masked]>
> > CC: [email-masked], [email-masked]
> > 
> > Sorry, you both. Here's the missing piece:
> > 
> > (setq bidi-display-reordering nil)
> 
> OK, now I see the problem.
> 
> > This is pretty low-level var, so maybe it's not even supposed to be set 
> > by a user.
> 
> Indeed, it isn't.  But in this case, all it does is enable a redisplay
> optimization that is disabled when bidi-display-reordering is non-nil.
> So there's a bug either in that redisplay optimization or in the
> conditions that enable it (probably the latter).
> 
> I will take a look.

Fixed in trunk revision 115974.

Subject: 24.3.50; Company pseudo-tooltip refresh problem when expanded down at eob
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Sun, 05 Jan 2014 08:21:05 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

`company-select-next' (`M-n') and `company-select-previous' (`M-p')
don't update the default candidates' dropdown appearance, specifically
the "current" line selection doesn't move.

It's easiest to spot in a new IELM session.

1. M-x ielm.
2. Make sure that there's no text after point, and there are enough
screen lines below it so that the pseudo-tooltip will be rendered below
the current line.
3. M-x company-complete.
4. Press `M-n' and/or `M-p' several times. Note that the "current"
candidate doesn't change, but different summary lines get shown in the
echo area.

In some other buffers, the "current" lines can move 1-2 times, but then
it likewise stops getting updated.

It's a relatively recent problem. I haven't had time to bisect it yet,
but Emacs 24.3 definitely doesn't have this bug.

In GNU Emacs 24.3.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.6)
 of 2014-01-04 on axl
Bzr revision: 115859 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11403000
System Description:	Ubuntu 13.10